Patchwork [meta-efl] efl: add PACKAGECONFIG for c++11 and disable it by default

login
register
mail settings
Submitter Martin Jansa
Date June 10, 2014, 5:18 p.m.
Message ID <1402420694-17957-1-git-send-email-Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/73581/
State Accepted, archived
Headers show

Comments

Martin Jansa - June 10, 2014, 5:18 p.m.
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-efl/recipes-efl/efl/efl.inc | 3 +++
 1 file changed, 3 insertions(+)

Patch

diff --git a/meta-efl/recipes-efl/efl/efl.inc b/meta-efl/recipes-efl/efl/efl.inc
index deca4bf..7ccb634 100644
--- a/meta-efl/recipes-efl/efl/efl.inc
+++ b/meta-efl/recipes-efl/efl/efl.inc
@@ -51,6 +51,9 @@  PACKAGECONFIG_class-native = "luajit"
 PACKAGECONFIG[opengl-full] = "--with-opengl=full,,virtual/libgl"
 PACKAGECONFIG[opengl-es] = "--with-opengl=es,,virtual/libgles2"
 PACKAGECONFIG[opengl-none] = "--with-opengl=none,,"
+# be aware when enabling this for efl-native, we don't provide gcc-native so you need to make
+# sure that all your builders have g++ which supports -std=gnu++11
+PACKAGECONFIG[c++11] = "--enable-c++11,--disable-c++11"
 PACKAGECONFIG[gstreamer] = "--enable-gstreamer,--disable-gstreamer,gstreamer"
 PACKAGECONFIG[gstreamer1] = "--enable-gstreamer1,--disable-gstreamer1,gstreamer1.0 gstreamer1.0-plugins-base"
 PACKAGECONFIG[pulseaudio] = "--enable-pulseaudio,--disable-pulseaudio,pulseaudio"